cascading.operation.aggregator

## Class Average.Context

- java.lang.Object
- - cascading.operation.aggregator.Average.Context

- Enclosing class:
    Average

      protected static class Average.Context
      extends Object

  Class Context is used to hold intermediate values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Average.Context(CoercibleType canonical)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Average.Context` | `reset()`
    `Tuple` | `result()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Average.Context

          public Average.Context(CoercibleType canonical)

  - ### Method Detail

    - #### reset

          public Average.Context reset()

    - #### result

          public Tuple result()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.